Skip to main content
POST
/
2026-01
/
retail-media
/
accounts
/
{accountId}
/
catalogs
/
sellers
/2026-01/retail-media/accounts/{accountId}/catalogs/sellers
curl --request POST \
  --url https://api.criteo.com/2026-01/retail-media/accounts/{accountId}/catalogs/sellers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "createdAt": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "fileSizeBytes": 123,
      "md5Checksum": "<string>",
      "message": "<string>",
      "rowCount": 123
    }
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

The account to request the catalog for.

Body

application/json

A JSON:API wrapper class to format a with Type, and Attributes properties

data
object

A JSON:API wrapper class to format a with Type, and Attributes properties

Response

200 - application/json

Catalog request successfully created

A JSON:API wrapper class to add one JSON:API within a data property

data
object
required

A JSON:API wrapper class to format a with external Id, Type, and Attributes properties

errors
object[] | null
warnings
object[] | null